
package com.jmrosengard.xmlbroker.os;

/**
*  Java wrapper class for XMLbroker shared library (libXMLbroker.so)
*/
public class NativeHelper{
 /**
 * Generates a unique Global ID seed from system properties
 */
 public native long getGIDSeed();
 /**
 * Loads XMLbroker shared library<br>
 * (e.g. libXMLbroker.so)
 */
 static{
  System.loadLibrary("XMLbroker");
 }
 /**
 * Only intended for class testing
 */
 public static void main(String[] args){
  NativeHelper nh=new NativeHelper();
  System.out.println(nh.getGIDSeed());
 }
}
